> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List minimal issues

> Retrieves a paginated list of issues with only essential fields (id, title, status, source, priority, createdAt, assignedTo). Optimized for list views and performance. Supports sorting by createdAt and priority.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/issues/minimal
openapi: 3.1.1
info:
  title: Avido API
  description: >-
    Avido's API for LLM usage events, tool calls, trace management, webhook
    validation, and more. See each endpoint's request/response schema for
    details.
  version: 0.1.0
  contact:
    name: Avido Support
    email: support@avidoai.com
    url: https://avidoai.com/support
servers:
  - url: https://api.avidoai.com
    description: Production API
security:
  - ApiKey: []
    ApplicationId: []
paths:
  /v0/issues/minimal:
    get:
      tags:
        - Issues
      summary: List minimal issues
      description: >-
        Retrieves a paginated list of issues with only essential fields (id,
        title, status, source, priority, createdAt, assignedTo). Optimized for
        list views and performance. Supports sorting by createdAt and priority.
      operationId: listMinimalIssues
      parameters:
        - in: query
          name: skip
          schema:
            description: Number of items to skip before starting to collect the result set.
            example: 0
            default: 0
            type: integer
            minimum: 0
            maximum: 9007199254740991
          description: Number of items to skip before starting to collect the result set.
        - in: query
          name: limit
          schema:
            description: Number of items to include in the result set.
            example: 25
            type: integer
            minimum: 1
            maximum: 100
          description: Number of items to include in the result set.
        - in: query
          name: orderBy
          schema:
            description: Field to order the result set by.
            example: createdAt
            default: createdAt
            type: string
            enum:
              - createdAt
              - priority
          description: Field to order the result set by.
        - in: query
          name: orderDir
          schema:
            description: Order direction.
            example: desc
            default: desc
            type: string
            enum:
              - asc
              - desc
          description: Order direction.
        - in: query
          name: status
          schema:
            $ref: '#/components/schemas/IssueStatus'
            description: Filter by issue status
          description: Filter by issue status
        - in: query
          name: priority
          schema:
            $ref: '#/components/schemas/IssuePriority'
            description: Filter by issue priority
            example: HIGH
          description: Filter by issue priority
        - in: query
          name: source
          schema:
            $ref: '#/components/schemas/IssueSource'
            description: Filter by issue source
          description: Filter by issue source
        - in: query
          name: type
          schema:
            $ref: '#/components/schemas/IssueType'
            description: Filter by issue type
          description: Filter by issue type
        - in: query
          name: assignedTo
          schema:
            description: Filter by assignee user ID
            example: user_789012
            type: string
          description: Filter by assignee user ID
        - in: query
          name: testId
          schema:
            description: Filter by associated test ID
            example: 789e4567-e89b-12d3-a456-426614174000
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Filter by associated test ID
        - in: query
          name: annotationId
          schema:
            description: Filter by associated annotation ID
            example: 890e5678-e89b-12d3-a456-426614174000
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Filter by associated annotation ID
        - in: query
          name: start
          schema:
            description: Start date (ISO8601) for filtering issues by creation date
            example: '2025-01-01T00:00:00Z'
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          description: Start date (ISO8601) for filtering issues by creation date
        - in: query
          name: end
          schema:
            description: End date (ISO8601) for filtering issues by creation date
            example: '2025-01-31T23:59:59Z'
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          description: End date (ISO8601) for filtering issues by creation date
      responses:
        '200':
          description: Successfully retrieved minimal issues
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMinimalIssueResponse'
              examples:
                success:
                  summary: List of minimal issues with user info
                  value:
                    data:
                      - id: 123e4567-e89b-12d3-a456-426614174000
                        title: Response quality degradation
                        description: >-
                          The chatbot is providing incomplete responses to user
                          queries
                        status: OPEN
                        source: TEST
                        priority: HIGH
                        createdAt: '2024-01-05T12:34:56.789Z'
                        assignedTo: user_789012
                        assignedUser:
                          id: user_789012
                          name: John Doe
                          email: john@example.com
                          image: https://example.com/avatar.jpg
                      - id: 456e7890-e89b-12d3-a456-426614174000
                        title: API error
                        description: Intermittent 500 errors on payment endpoint
                        status: RESOLVED
                        source: MONITORING
                        priority: MEDIUM
                        createdAt: '2024-01-04T10:20:30.456Z'
                    pagination:
                      skip: 0
                      limit: 25
                      total: 2
                      totalPages: 1
                empty:
                  summary: No issues found
                  value:
                    data: []
                    pagination:
                      skip: 0
                      limit: 25
                      total: 0
                      totalPages: 0
        '400':
          description: bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    IssueStatus:
      type: string
      enum:
        - OPEN
        - RESOLVED
        - REJECTED
      description: The status of the issue
      example: OPEN
    IssuePriority:
      type: string
      enum:
        - LOW
        - MEDIUM
        - HIGH
      description: The priority level of the issue
      example: MEDIUM
    IssueSource:
      type: string
      enum:
        - TEST
        - TASK
        - TOPIC
        - SYSTEM
        - MONITORING
        - API
        - HUMAN_ANNOTATION
      description: The source where the issue was created from
      example: TEST
    IssueType:
      type: string
      enum:
        - BUG
        - HUMAN_ANNOTATION
        - SUGGESTED_TASK
        - USER_SIGNAL
      description: The type/category of the issue
      example: BUG
    PaginatedMinimalIssueResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/MinimalIssueOutput'
        pagination:
          type: object
          properties:
            skip:
              type: integer
              minimum: 0
              maximum: 9007199254740991
              description: Number of items skipped.
              example: 0
            limit:
              type: integer
              minimum: 1
              maximum: 9007199254740991
              description: Number of items per page.
              example: 25
            total:
              type: integer
              minimum: 0
              maximum: 9007199254740991
              description: Total number of items available.
              example: 100
            totalPages:
              type: integer
              minimum: 0
              maximum: 9007199254740991
              description: Total number of pages available.
              example: 4
            totalCount:
              description: >-
                Total number of items without filters applied. Used to
                distinguish between truly empty results and empty filtered
                results.
              example: 100
              type: integer
              minimum: 0
              maximum: 9007199254740991
            totalResolvedCount:
              type: integer
              minimum: 0
              maximum: 9007199254740991
              description: Total count of resolved issues (unfiltered)
              example: 42
            totalRejectedCount:
              type: integer
              minimum: 0
              maximum: 9007199254740991
              description: Total count of rejected/dismissed issues (unfiltered)
              example: 15
            totalOpenCount:
              type: integer
              minimum: 0
              maximum: 9007199254740991
              description: Total count of open issues (unfiltered)
              example: 23
          required:
            - skip
            - limit
            - total
            - totalPages
            - totalResolvedCount
            - totalRejectedCount
            - totalOpenCount
          additionalProperties: false
      required:
        - data
        - pagination
      additionalProperties: false
      title: PaginatedMinimalIssueResponse
      description: Paginated response containing minimal issues with status counts
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message explaining the error.
          example: Resource not found
      required:
        - message
      additionalProperties: false
      title: ErrorResponse
      description: Standard error format for failed API operations.
    ValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message indicating what went wrong.
          example: Invalid request data
        issues:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              message:
                type: string
              path:
                type: array
                items:
                  type: string
            required:
              - code
              - message
              - path
            additionalProperties: false
          description: Array of detailed validation error objects.
          example:
            - code: invalid_string
              message: Invalid UUID
              path:
                - id
      required:
        - message
        - issues
      additionalProperties: false
      title: ValidationErrorResponse
      description: Details about validation errors in incoming requests.
    MinimalIssueOutput:
      type: object
      properties:
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Unique identifier of the issue
          example: 123e4567-e89b-12d3-a456-426614174000
        title:
          type: string
          description: Title of the issue
          example: Response quality degradation
        createdAt:
          description: When the issue was created
          example: '2024-01-05T12:34:56.789Z'
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        description:
          description: Brief description of the issue
          example: The chatbot is providing incomplete responses to user queries
          type: string
        status:
          $ref: '#/components/schemas/IssueStatus'
          description: Current status of the issue
        source:
          $ref: '#/components/schemas/IssueSource'
          description: Where the issue originated from
        priority:
          $ref: '#/components/schemas/IssuePriority'
          description: Priority level of the issue
          example: HIGH
        assignedTo:
          description: User ID of the person assigned to this issue
          example: user_789012
          type: string
        assignedUser:
          $ref: '#/components/schemas/AssignedUserInfoOutput'
          description: Full information about the assigned user
      required:
        - id
        - title
        - createdAt
        - status
        - source
        - priority
      additionalProperties: false
      title: MinimalIssue
      description: >-
        Lightweight issue representation with essential fields, description, and
        assigned user info
    AssignedUserInfoOutput:
      type: object
      properties:
        id:
          type: string
          description: User ID
          example: user_789012
        name:
          type: string
          description: User full name
          example: John Doe
        email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
          description: User email
          example: john@example.com
        image:
          description: User profile image URL
          example: https://example.com/avatar.jpg
          type: string
      required:
        - id
        - name
        - email
      additionalProperties: false
      title: AssignedUserInfo
      description: Information about the user assigned to an issue
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Your unique Avido API key
    ApplicationId:
      type: apiKey
      in: header
      name: x-application-id
      description: Your unique Avido Application ID

````